Summary: fcron scheduler
Name: fcron
Version: 3.0.1
Release: 0.endian10
License: GPL
Group: System Environment/Daemons
Source: http://fcron.free.fr/archives/%{name}-%{version}.src.tar.gz
Source1: crontab
Source2: fcron.deny
Source3: fcron.allow
Source4: fcron.conf
URL: http://fcron.free.fr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /usr/sbin/useradd, /usr/sbin/groupadd, /usr/sbin/groupmod, grep
Requires: run-parts

%description
Fcron is a scheduler. It aims at replacing Vixie Cron,
so it implements most of its functionalities.
But contrary to Vixie Cron, fcron does not need your system
to be up 7 days a week, 24 hours a day : it also works well
with systems which are not running neither all the time nor
regularly (contrary to anacrontab).


%package extras
Summary: fcron scheduler
Group: System Environment/Daemons
Requires: %{name} = %{version}

%description extras
Fcron is a scheduler. It aims at replacing Vixie Cron,
so it implements most of its functionalities.
But contrary to Vixie Cron, fcron does not need your system
to be up 7 days a week, 24 hours a day : it also works well
with systems which are not running neither all the time nor
regularly (contrary to anacrontab).

This package contains ripped down files

%prep
%setup -q 

%build

CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
    CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
    FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
    ./configure --host=%{_host} --build=%{_build} \
    --target=%{_target_platform} \
    --program-prefix=%{?_program_prefix} \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --disable-nls \
    --without-sendmail \
    --with-spooldir=/var/spool/cron \
    --with-username=cron --with-groupname=cron \
    --with-pam=no \
    --with-answer-all=no

make

%install
rm -rf $RPM_BUILD_ROOT

script/user-group cron cron 2 .
%{__mkdir_p} $RPM_BUILD_ROOT/%{_prefix}/{,s}bin
%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/man/man{1,3,5,8}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_datadir}/doc/fcron-%{version}
%{__mkdir_p} $RPM_BUILD_ROOT/var/spool/cron
chmod 770 $RPM_BUILD_ROOT/var/spool/cron
chown cron.cron $RPM_BUILD_ROOT/var/spool/cron
install -g cron -o cron -m 110 fcron $RPM_BUILD_ROOT/%{_prefix}/sbin

install -g cron -o cron -m 6111 fcrontab $RPM_BUILD_ROOT/%{_prefix}/bin
install -g cron -o cron -m 4110 fcronsighup $RPM_BUILD_ROOT/%{_prefix}/bin
chmod u-s $RPM_BUILD_ROOT/%{_bindir}/fcrontab $RPM_BUILD_ROOT/%{_bindir}/fcronsighup

install -o root -m 644 doc/en/man/fcron.8 $RPM_BUILD_ROOT/%{_datadir}/man/man8/
install -o root -m 644 doc/en/man/fcrontab.1 $RPM_BUILD_ROOT/%{_datadir}/man/man1/
install -o root -m 644 doc/en/man/fcrontab.5 $RPM_BUILD_ROOT/%{_datadir}/man/man5/
install -o root -m 644 doc/en/man/fcron.conf.5 $RPM_BUILD_ROOT/%{_datadir}/man/man5/
install -o root -m 644 doc/en/man/bitstring.3 $RPM_BUILD_ROOT/%{_datadir}/man/man3/
install -o root -m 644 doc/en/txt/readme.txt doc/en/txt/gpl.txt doc/en/txt/changes.txt doc/en/HTML/*.html  $RPM_BUILD_ROOT/%{_datadir}/doc/fcron-%{version}

%{__mkdir_p} $RPM_BUILD_ROOT/etc/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/
install -o root -g cron -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/

%{__mkdir_p} $RPM_BUILD_ROOT/etc/{,ana}cron.{minutely,cyclic,hourly,daily,weekly,monthly}


%clean
rm -rf $RPM_BUILD_ROOT

%pre
if ! /usr/sbin/groupmod cron &>/dev/null; then
    /usr/sbin/groupadd cron || \
	%logmsg "Unexpected error adding group \"cron\". Abort installation."
fi
if ! /usr/bin/id cron &> /dev/null; then
    /usr/sbin/useradd -g cron -s /bin/false cron &>/dev/null || \
	%logmsg "Unexpected error adding user \"cron\". Abort installation."
fi
exit 0

%post
%{_bindir}/fcrontab -u root /etc/crontab &>/dev/null
exit 0


%files
%defattr(-,root,root)
%dir /etc/cron.daily
%dir /etc/cron.hourly
%dir /etc/cron.monthly
%dir /etc/cron.weekly
%dir /etc/cron.cyclic
%dir /etc/cron.minutely
%dir /etc/anacron.daily
%dir /etc/anacron.hourly
%dir /etc/anacron.monthly
%dir /etc/anacron.weekly
%dir /etc/anacron.cyclic

/etc/crontab
/etc/fcron.allow
/etc/fcron.deny
%attr(-,root,cron) /etc/fcron.conf
/usr/bin/fcronsighup
/usr/bin/fcrontab
/usr/sbin/fcron

%defattr(0770,root,root)
%dir /var/spool/cron


%files extras
%defattr(-,root,root)
%doc README
%{_datadir}/man/*
%{_datadir}/doc/*

%changelog
* Mon Jun 12 2006 Peter Warasin <peter@endian.it>
- be quit and do not log every minute that fcron calls a script.
  Do only log on errors

* Wed Dec 21 2005 Peter Warasin <peter@endian.it>
- added anacron.cyclic
- removed anacron.minutely, since it is the same as cron.minutely

* Tue Nov 29 2005 Peter Warasin <peter@endian.it>
- added anacron directories

* Tue Nov 29 2005 Peter Warasin <peter@endian.it>
- added anacron directories

* Fri Nov 18 2005 Peter Warasin <peter@endian.it>
- fix group of fcron.conf

* Thu Nov 3  2005 Peter Warasin <peter@endian.it>
- add fcron.conf to the package. Thank's to STS Ernie - stsbox

* Sun Jun 19 2005 Peter Warasin <peter@endian.it>
- initial package
